Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Subscribe

Send this request body to Subscribe to a Trigger to start listening for this event on behalf of your user:
Subscribe Request
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "outlook",
  "type": "OUTLOOK_TRIGGER_NEW_MESSAGE_WEBHOOK",
  "parameters": {
    "userId": "1b671a64-40d5-491e-99b0-da01ff1f3341",
    "mailFolder": "{{settings.mailfolder}}"
  }
}
Configuration options:
userId
TEXTAREA
Specify a user ID to perform this action if you are working with an application token.
  • Example value: 1b671a64-40d5-491e-99b0-da01ff1f3341
mailFolder
TEXTAREA
Use Connect Portal Workflow Settings to allow users to select which mail folder to get messages from. Defaults to the user’s primary mail folder if left blank.
  • Example value: {{settings.mailfolder}}